Skip to content
Permalink
Browse files
catch 'Valid client certificate is required' as EPERM
Signed-off-by: Daniel Lenski <dlenski@gmail.com>
  • Loading branch information
dlenski committed Sep 30, 2018
1 parent a2dadc1 commit 879e25ad9bec30a331ee9048103e624bf8ca6f3b
Showing 1 changed file with 2 additions and 1 deletion.
3 gpst.c
@@ -305,7 +305,8 @@ int gpst_xml_or_error(struct openconnect_info *vpninfo, int result, char *respon
|| !strcmp(err, "GlobalProtect portal does not exist")) {
vpn_progress(vpninfo, PRG_DEBUG, "%s\n", err);
result = -EEXIST;
} else if (!strcmp(err, "Invalid authentication cookie")) {
} else if (!strcmp(err, "Invalid authentication cookie")
|| !strcmp(err, "Valid client certificate is required")) {
vpn_progress(vpninfo, PRG_ERR, "%s\n", err);
result = -EPERM;
} else {

0 comments on commit 879e25a

Please sign in to comment.